<?xml version="1.0" encoding="UTF-8"?>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:head>
        <link href="monstyle.css" rel="stylesheet" type="text/css" />
        <title>eMarket - ProductCreate</title>
    </h:head>
    <h:body>
        <f:view>
            <h1>eMarket - ProductCreate</h1>
            <h:outputText value="Bienvenue sur l'application de commande en ligne eMarket."/>
            <br /><br />
            <h:form id="productCreate">
                <fieldset>
                    <legend>Ajouter un produit</legend>
                    <h:outputLabel id="fieldLabelId" for="fieldId" value="Référence du produit" />
                    <h:inputText id="fieldId" value="#{catalogManager.productId}" required="true" size="20" maxlength="60" />
                    <br />
                    <h:outputLabel id="fieldLabelName" for="fieldName" value="Nom du produit" />
                    <h:inputText id="fieldName" value="#{catalogManager.productName}" required="true" size="20" maxlength="60" />
                    <br />
                    <h:outputLabel id="fieldLabelPrice" for="fieldPrice" value="Prix du produit" />
                    <h:inputText id="fieldPrice" value="#{catalogManager.productPrice}" required="true" size="20" maxlength="60" />
                    <br />
                    <h:commandButton value="Valider" action="#{catalogManager.createProduct()}"/>
                    <br />
                </fieldset>
            </h:form>
        </f:view>
    </h:body>
</html>
